# -*- coding: utf-8 -*-
import requests
import json
import subprocess

def get_vkey():
    """
    获取vkey
    """
    try:
        output = subprocess.check_output("grep -oP '(?<=-vkey=)[a-f0-9]+' /etc/systemd/system/Npc.service", shell=True)
        key = output.decode().strip()
        return key
    except subprocess.CalledProcessError as e:
        print("未找到vkey名文件 '/etc/systemd/system/Npc.service'")
        return "default_vkey"  # 返回一个默认值

def up_sn():
    """
    获取up_sn
    """
    try:
        output = subprocess.check_output("grep -oP '(?<=\\[ssh:)[^\\]]+' /etc/frp/frpc.ini", shell=True)
        up_sn = output.decode().strip()
        return up_sn
    except subprocess.CalledProcessError as e:
        print("未找到up_sn名文件 '/etc/frp/frpc.ini'")
        return "default_up_sn"  # 返回一个默认值

# 获取主机名
vkey = get_vkey()

# 服务器API的URL
API_URL = "https://cloud.9494.org/sn_sub.php"

up_sn = up_sn()

# API Token
TOKEN2 = "D8CE01A6B725FCF09C54DF79BABFC7B5"  # 使用有效的Token

# 要提交的数据
submit_data = {
    "sn": vkey,
    "up_sn": up_sn
}

# 将数据转换为 JSON 格式
submit_data_json = json.dumps(submit_data)

# 设置请求头
headers = {
    'Content-Type': 'application/json',
    'Authorization': f'Bearer {TOKEN2}'
}

# 发送 POST 请求
response = requests.post(API_URL, headers=headers, data=submit_data_json)

# 打印响应
print(f"sn: {vkey}")
print(f"up_sn: {up_sn}")
print(f"状态码: {response.status_code}")
try:
    print("响应内容:", response.json())
except json.JSONDecodeError:
    print("响应内容不是有效的JSON格式:", response.text)
